/**
 * @file 	ApproximationState.java
 * 
 * @date 	Jan 15, 2005
 * @author 	Alexandre Bouchard
 */

package ca.mcgill.lmp.approx;

import ca.mcgill.lmp.MeasurableSet;
import ca.mcgill.lmp.State;

/**
 *
 */
public class ApproximationState implements State
{
    private MeasurableSet Set;
    private int level;
    
    public ApproximationState(MeasurableSet Set, int level)
    {
        this.Set = Set;
        this.level = level;
    }
    
    public MeasurableSet getSet()
    {
        return Set;
    }
    
    public int getLevel()
    {
        return level;
    }
    
    public String toString()
    {
        return "[" + Set.toString() + ", " + level + "]";
    }
}