/**
 * @file 	DiscreteSet.java
 * 
 * @date 	Jan 15, 2005
 * @author 	Alexandre Bouchard
 */

package ca.mcgill.lmp.util;

import java.util.HashSet;
import java.util.Iterator;

import ca.mcgill.lmp.MeasurableSet;
import ca.mcgill.lmp.State;

/**
 *
 */
public class DiscreteSet extends HashSet implements MeasurableSet
{   
    /**
     * @param s
     * @return
     */
    public boolean contains(State s)
    {
        return super.contains(s);
    }
    
    public String toString()
    {
        StringBuffer buffer = new StringBuffer();
        buffer.append("{");
        Iterator i = this.iterator();
        while (i.hasNext())
        {
            buffer.append(i.next().toString());
            if (i.hasNext())
            {
                buffer.append(", ");
            }
        }
        buffer.append("}");
        return buffer.toString();
    }
}
